ggiCopyBox(3ggi)

NAME
ggiCopyBox - Copy a rectangular area

SYNOPSIS
#include <ggi/ggi.h>

int ggiCopyBox(ggi_visual_t vis, int x, int y, int w, int h, int nx, int ny); .SH "DESCRIPTION"

This is a area-to-area-blit, all in the same visual. Copy the box described by x,y,w,h to the new location nx,ny. This automatically takes care of overlaps and optimizes for the given visual (e.g. uses HW-accel or intermediate buffers as appropriate).

ggiCopyBox will transfer an area between frames when the read frame is not the same as the write frame.

RETURN VALUE

0 for OK, otherwise an error code.

SEE ALSO
ggiCrossBlit(3)